<?xml version="1.0" encoding="UTF-8"?>
<Documents>
    <!-- In an Evidence Error Response with status 'Failure' which has the 'rs:Exception/@severity' with value  be 'urn:sr.oots.tech.europa.eu:codes:ErrorSeverity:EDMErrorResponse:PreviewRequired', the 'rim:Slot[@name = 'PreviewLocation']rim:SlotValue/rim:Value' must equal with the 'rim:Slot[@name = 'PreviewLocation']rim:SlotValue/rim:Value' of the second Evidence Request. Added test in rim:Value. -->
    
    <Document name="edm-err">
        <query:QueryResponse xmlns:rim="urn:oasis:names:tc:ebxml-regrep:xsd:rim:4.0" 
            xmlns:query="urn:oasis:names:tc:ebxml-regrep:xsd:query:4.0" 
            xmlns:sdg="http://data.europa.eu/p4s"
            xmlns:rs="urn:oasis:names:tc:ebxml-regrep:xsd:rs:4.0"
            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xmlns:xlink="http://www.w3.org/1999/xlink"
            requestId="urn:uuid:4ffb5281-179d-4578-adf2-39fd13ccc797"
            status="urn:oasis:names:tc:ebxml-regrep:ResponseStatusType:Failure">
                        
            
            <rs:Exception xsi:type="rs:AuthorizationExceptionType" message="Missing Authorization" severity="urn:sr.oots.tech.ec.europa.eu:codes:ErrorSeverity:EDMErrorResponse:PreviewRequired" detail="The server needs authorisation and preview on its side to process the request" code="EDM:ERR:0002">
                <rim:Slot name="PreviewLocation">
                    <rim:SlotValue xsi:type="rim:StringValueType">
                        <rim:Value>https://test.preview.space.example.com/requests?session=d36af8bc-fea6-4ee5-a32d-5bef82cdb071</rim:Value>
                    </rim:SlotValue>
                </rim:Slot>
            </rs:Exception>
        </query:QueryResponse>
    </Document>
    <Document name="edm-req">
        <query:QueryRequest xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            xmlns:rs="urn:oasis:names:tc:ebxml-regrep:xsd:rs:4.0"
            xmlns:sdg="http://data.europa.eu/p4s"
            xmlns:xmime="http://www.w3.org/2005/05/xmlmime"
            xmlns:rim="urn:oasis:names:tc:ebxml-regrep:xsd:rim:4.0"
            xmlns:query="urn:oasis:names:tc:ebxml-regrep:xsd:query:4.0"
            xmlns:xlink="http://www.w3.org/1999/xlink"
            xmlns:xml="http://www.w3.org/XML/1998/namespace"
            xml:lang="DE"
            id="urn:uuid:cb6b247f-232a-4163-87ce-c3e49b148e0a">

            <rim:Slot name="PreviewLocation">
                <rim:SlotValue xsi:type="rim:StringValueType">
                    <rim:Value>https://preview.space.example.com/requests?session=d36af8bc-fea6-4ee5-a32d-5bef82cdb071</rim:Value>
                </rim:SlotValue>
            </rim:Slot>
            
            <query:ResponseOption/>
            <query:Query queryDefinition=""/>
        </query:QueryRequest>
    </Document>
</Documents>
